<?php
/**
* @version 0.0.1
* @author А.П.В.
* @package Jshopping
* @copyright Copyright (C) 2010 blog-about.ru. All rights reserved.
* @license GNU/GPL
**/
defined('_JEXEC') or die;

define('_JSHOP_BARK_COMMON_PARAMS', 'Main settings');
define('_JSHOP_BARK_RK_PARAMS', 'Robokassa Options');
define('_JSHOP_BARK_RECEIPT_PARAMS', 'Fiscalization Options');

define('_JSHOP_BARK_ACTIVATION_KEY', 'Activation key');
define('_JSHOP_BARK_ACTIVATION_KEY_DESC', 'Enter the activation key received when purchasing the payment method. Otherwise, the payment method will not work.');
define('_JSHOP_BARK_ACTIVATION_KEY_ERROR', "Robokassa: Activation key not specified or not valid. Make sure you enter the correct activation key.");
define('_JSHOP_BARK_TESTMODE', 'Test mode');
define('_JSHOP_BARK_TESTMODE_DESCRIPTION', 'Test mode is available only until the store is activated in the Robokassa system.');
define('_JSHOP_BARK_LOGIN', 'Store ID');
define('_JSHOP_BARK_LOGIN_DESCRIPTION', 'Store ID from technical settings in the Robokassa system.');
define('_JSHOP_BARK_PASS1', 'Password #1');
define('_JSHOP_BARK_PASS1_DESCRIPTION', 'Password #1 from technical settings in the Robokassa system.<br />If you use the test mode, then specify the test password #1');
define('_JSHOP_BARK_PASS2', 'Password #2');
define('_JSHOP_BARK_PASS2_DESCRIPTION', 'Password #2 from technical settings in the Robokassa system.<br />If you use the test mode, then specify the test password #2');
define('_JSHOP_BARK_CURRENCY', 'Currency');
define('_JSHOP_BARK_CURRENCY_DESCRIPTION', 'Currency in which funds should be transferred to the Robokassa system.');
define('_JSHOP_BARK_TRANSACTION_END_DESCRIPTION', 'Select the order status that will be set if the transaction was successful.');
define('_JSHOP_BARK_TRANSACTION_PENDING_DESCRIPTION', 'Select the order status that will be set if the transaction is not completed.');
define('_JSHOP_BARK_TRANSACTION_FAILED_DESCRIPTION', 'Select the status of the order that will be set if the transaction is unsuccessful.');
define('_JSHOP_BARK_RESULT_URL', 'Result Url');
define('_JSHOP_BARK_RESULT_URL_DESCRIPTION', 'This address must be added to the field &quot;Result Url&quot; technical settings in the Robokassa system, and also choose &quot;Method for sending data by Result Url&quot; - POST');
define('_JSHOP_BARK_SUCCESS_URL', 'Success Url');
define('_JSHOP_BARK_SUCCESS_URL_DESCRIPTION', 'This address must be added to the field &quot;Success Url&quot; technical settings in the Robokassa system, and also choose &quot;Method for sending data by Success Url&quot; - POST');
define('_JSHOP_BARK_FAIL_URL', 'Fail Url');
define('_JSHOP_BARK_FAIL_URL_DESCRIPTION', 'This address must be added to the field &quot;Fail Url&quot; technical settings in the Robokassa system, and also choose &quot;Method for sending data by Fail Url&quot; - POST');

define('_JSHOP_BARK_RECEIPT', 'Fiscalization');
define('_JSHOP_BARK_RECEIPT_DESCRIPTION', 'Sending data to Robokassa system for fiscalization of checks. Available only to Robokassa customers choosing a Cloud solution, Cash solution or Robochek solution.');

define('_JSHOP_BARK_SNO', 'Tax system');
define('_JSHOP_BARK_SNO_OSN', 'common tax system');
define('_JSHOP_BARK_SNO_USN_INCOME', 'simplified tax system (income)');
define('_JSHOP_BARK_SNO_USN_INCOME_OUTCOME', 'simplified tax system (income less expenses)');
define('_JSHOP_BARK_SNO_ENVD', 'a single tax on imputed income');
define('_JSHOP_BARK_SNO_ESN', 'single agricultural tax');
define('_JSHOP_BARK_SNO_PATENT', 'patent tax system');

define('_JSHOP_BARK_PAYMENT_METHOD', 'Sign of calculation method');
define('_JSHOP_BARK_PAYMENT_METHOD_FULL_PREPAYMENT', '100% prepayment');
define('_JSHOP_BARK_PAYMENT_METHOD_PREPAYMENT', 'prepayment');
define('_JSHOP_BARK_PAYMENT_METHOD_ADVANCE', 'prepaid expense');
define('_JSHOP_BARK_PAYMENT_METHOD_FULL_PAYMENT', 'full payment');
define('_JSHOP_BARK_PAYMENT_METHOD_PARTIAL_PAYMENT', 'partial payment and credit');
define('_JSHOP_BARK_PAYMENT_METHOD_CREDIT', 'credit transfer');
define('_JSHOP_BARK_PAYMENT_METHOD_CREDIT_PAYMENT', 'loan repayment');

define('_JSHOP_BARK_TAX', 'CCP Tax Number');
define('_JSHOP_BARK_TAX_NONE', 'without VAT');
define('_JSHOP_BARK_TAX_VAT0', 'VAT at a rate of 0%');
define('_JSHOP_BARK_TAX_VAT10', 'Check VAT at 10%');
define('_JSHOP_BARK_TAX_VAT110', 'VAT of the check at the estimated rate of 10/110');
define('_JSHOP_BARK_TAX_VAT20', 'Check VAT at a rate of 20%');
define('_JSHOP_BARK_TAX_VAT120', 'VAT of the check at the estimated rate of 20/120');

define('_JSHOP_BARK_ERROR_SUMM', 'Error: the amounts do not match.');
define('_JSHOP_BARK_ERROR_SIGNATURE', 'Error: Signature value is incorrect.');
?>