<?php
/**
* @version 0.0.1
* @author А.П.В.
* @package Jshopping
* @copyright Copyright (C) 2010 blog-about.ru. All rights reserved.
* @license GNU/GPL
**/
defined('_JEXEC') or die();

JHtml::_('bootstrap.tooltip');
JHtml::_('formbehavior.chosen', 'select');

$yes_no_options = array();
$yes_no_options[] = JHtml::_('select.option', '1', JText::_('JYES'));
$yes_no_options[] = JHtml::_('select.option', '0', JText::_('JNO'));

$currencies = JModelLegacy::getInstance('currencies', 'JshoppingModel');
$orders_status = JModelLegacy::getInstance('orders', 'JshoppingModel');

$array_sno = array(
	'osn' => _JSHOP_BARK_SNO_OSN,
	'usn_income' => _JSHOP_BARK_SNO_USN_INCOME,
	'usn_income_outcome' => _JSHOP_BARK_SNO_USN_INCOME_OUTCOME,
	'envd' => _JSHOP_BARK_SNO_ENVD,
	'esn' => _JSHOP_BARK_SNO_ESN,
	'patent' => _JSHOP_BARK_SNO_PATENT
);

$array_payment_method = array(
	'full_prepayment' => _JSHOP_BARK_PAYMENT_METHOD_FULL_PREPAYMENT,
	'prepayment' => _JSHOP_BARK_PAYMENT_METHOD_PREPAYMENT,
	'advance' => _JSHOP_BARK_PAYMENT_METHOD_ADVANCE,
	'full_payment' => _JSHOP_BARK_PAYMENT_METHOD_FULL_PAYMENT,
	'partial_payment' => _JSHOP_BARK_PAYMENT_METHOD_PARTIAL_PAYMENT,
	'credit' => _JSHOP_BARK_PAYMENT_METHOD_CREDIT,
	'credit_payment' => _JSHOP_BARK_PAYMENT_METHOD_CREDIT_PAYMENT
);

$array_tax = array(
	'none' => _JSHOP_BARK_TAX_NONE,
	'vat0' => _JSHOP_BARK_TAX_VAT0,
	'vat10' => _JSHOP_BARK_TAX_VAT10,
	'vat110' => _JSHOP_BARK_TAX_VAT110,
	'vat20' => _JSHOP_BARK_TAX_VAT20,
	'vat120' => _JSHOP_BARK_TAX_VAT120
);
?>
<fieldset class="form-horizontal">
	<legend><?php echo _JSHOP_BARK_COMMON_PARAMS; ?></legend>
	
	<div class="control-group">
		<div class="control-label">
			<label class="hasTooltip" title="<?php echo _JSHOP_BARK_ACTIVATION_KEY_DESC; ?>"><?php echo _JSHOP_BARK_ACTIVATION_KEY; ?></label>
		</div>
		<div class="controls">
			<input type="text" name="pm_params[activation_key]" value="<?php echo (isset($this->params['activation_key']) ? $this->params['activation_key'] : ''); ?>">
		</div>            
	</div>
	
	<div class="control-group">
		<div class="control-label">
			<label class="hasTooltip" title="<?php echo _JSHOP_BARK_TESTMODE_DESCRIPTION; ?>"><?php echo _JSHOP_BARK_TESTMODE; ?></label>
		</div>
		<div class="controls">
			<?php echo JHtml::_('select.genericlist', $yes_no_options, 'pm_params[testmode]', 'class="chzn-color-state"', 'value', 'text', (isset($this->params['testmode']) ? $this->params['testmode'] : 1)); ?>
		</div>
	</div>
	
	<div class="control-group">
		<div class="control-label">
			<label class="hasTooltip" title="<?php echo _JSHOP_BARK_LOGIN_DESCRIPTION; ?>"><?php echo _JSHOP_BARK_LOGIN; ?></label>
		</div>
		<div class="controls">
			<input type="text" name="pm_params[login]" value="<?php echo (isset($this->params['login']) ? $this->params['login'] : ''); ?>">
		</div>            
	</div>
	
	<div class="control-group">
		<div class="control-label">
			<label class="hasTooltip" title="<?php echo _JSHOP_BARK_PASS1_DESCRIPTION; ?>"><?php echo _JSHOP_BARK_PASS1; ?></label>
		</div>
		<div class="controls">
			<input type="password" name="pm_params[pass1]" value="<?php echo (isset($this->params['login']) ? $this->params['pass1'] : ''); ?>">
		</div>            
	</div>
	
	<div class="control-group">
		<div class="control-label">
			<label class="hasTooltip" title="<?php echo _JSHOP_BARK_PASS2_DESCRIPTION; ?>"><?php echo _JSHOP_BARK_PASS2; ?></label>
		</div>
		<div class="controls">
			<input type="password" name="pm_params[pass2]" value="<?php echo (isset($this->params['login']) ? $this->params['pass2'] : ''); ?>">
		</div>            
	</div>
	
	<div class="control-group">
		<div class="control-label">
			<label class="hasTooltip" title="<?php echo _JSHOP_BARK_CURRENCY_DESCRIPTION; ?>"><?php echo _JSHOP_BARK_CURRENCY; ?></label>
		</div>
		<div class="controls">
			<?php echo JHtml::_('select.genericlist', $currencies->getAllCurrencies(), 'pm_params[currency]', '"', 'currency_id', 'currency_name', (isset($this->params['currency']) ? $this->params['currency'] : 1)); ?>
		</div>
	</div>
	
	<div class="control-group">
		<div class="control-label">
			<label class="hasTooltip" title="<?php echo _JSHOP_BARK_TRANSACTION_END_DESCRIPTION; ?>"><?php echo _JSHOP_TRANSACTION_END; ?></label>
		</div>
		<div class="controls">
			<?php echo JHtml::_('select.genericlist', $orders_status->getAllOrderStatus(), 'pm_params[transaction_end_status]', '"', 'status_id', 'name', (isset($this->params['transaction_end_status']) ? $this->params['transaction_end_status'] : 1)); ?>
		</div>
	</div>
	
	<div class="control-group">
		<div class="control-label">
			<label class="hasTooltip" title="<?php echo _JSHOP_BARK_TRANSACTION_PENDING_DESCRIPTION; ?>"><?php echo _JSHOP_TRANSACTION_PENDING; ?></label>
		</div>
		<div class="controls">
			<?php echo JHtml::_('select.genericlist', $orders_status->getAllOrderStatus(), 'pm_params[transaction_pending_status]', '"', 'status_id', 'name', (isset($this->params['transaction_pending_status']) ? $this->params['transaction_pending_status'] : 1)); ?>
		</div>
	</div>
	
	<div class="control-group">
		<div class="control-label">
			<label class="hasTooltip" title="<?php echo _JSHOP_BARK_TRANSACTION_FAILED_DESCRIPTION; ?>"><?php echo _JSHOP_TRANSACTION_FAILED; ?></label>
		</div>
		<div class="controls">
			<?php echo JHtml::_('select.genericlist', $orders_status->getAllOrderStatus(), 'pm_params[transaction_failed_status]', '"', 'status_id', 'name', (isset($this->params['transaction_failed_status']) ? $this->params['transaction_failed_status'] : 1)); ?>
		</div>
	</div>
	
	<legend><?php echo _JSHOP_BARK_RK_PARAMS; ?></legend>
	
	<div class="control-group">
		<div class="control-label">
			<label class="hasTooltip" title="<?php echo _JSHOP_BARK_RESULT_URL_DESCRIPTION; ?>"><?php echo _JSHOP_BARK_RESULT_URL; ?></label>
		</div>
		<div class="controls">
			<input type="text" name="" readonly="readonly" value="<?php echo JURI::root() . 'index.php?option=com_jshopping&controller=checkout&task=step7&js_paymentclass=pm_ba_robokassa&act=notify'; ?>">
		</div>            
	</div>
	
	<div class="control-group">
		<div class="control-label">
			<label class="hasTooltip" title="<?php echo _JSHOP_BARK_SUCCESS_URL_DESCRIPTION; ?>"><?php echo _JSHOP_BARK_SUCCESS_URL; ?></label>
		</div>
		<div class="controls">
			<input type="text" name="" readonly="readonly" value="<?php echo JURI::root() . 'index.php?option=com_jshopping&controller=checkout&task=step7&js_paymentclass=pm_ba_robokassa&act=return'; ?>">
		</div>            
	</div>
	
	<div class="control-group">
		<div class="control-label">
			<label class="hasTooltip" title="<?php echo _JSHOP_BARK_FAIL_URL_DESCRIPTION; ?>"><?php echo _JSHOP_BARK_FAIL_URL; ?></label>
		</div>
		<div class="controls">
			<input type="text" name="" readonly="readonly" value="<?php echo JURI::root() . 'index.php?option=com_jshopping&controller=checkout&task=step7&js_paymentclass=pm_ba_robokassa&act=cancel'; ?>">
		</div>            
	</div>
	
	<legend><?php echo _JSHOP_BARK_RECEIPT_PARAMS; ?></legend>
	
	<div class="control-group">
		<div class="control-label">
			<label class="hasTooltip" title="<?php echo _JSHOP_BARK_RECEIPT_DESCRIPTION; ?>"><?php echo _JSHOP_BARK_RECEIPT; ?></label>
		</div>
		<div class="controls">
			<?php echo JHtml::_('select.genericlist', $yes_no_options, 'pm_params[receipt]', 'class="chzn-color-state"', 'value', 'text', (isset($this->params['receipt']) ? $this->params['receipt'] : 0)); ?>
		</div>
	</div>
	
	<div class="control-group">
		<div class="control-label">
			<label class="hasTooltip" title="<?php echo _JSHOP_BARK_SNO; ?>"><?php echo _JSHOP_BARK_SNO; ?></label>
		</div>
		<div class="controls">
			<?php echo JHtml::_('select.genericlist', $array_sno, 'pm_params[sno]', '"', 'id', 'value', (isset($this->params['sno']) ? $this->params['sno'] : 'osn')); ?>
		</div>
	</div>
	
	<div class="control-group">
		<div class="control-label">
			<label class="hasTooltip" title="<?php echo _JSHOP_BARK_PAYMENT_METHOD; ?>"><?php echo _JSHOP_BARK_PAYMENT_METHOD; ?></label>
		</div>
		<div class="controls">
			<?php echo JHtml::_('select.genericlist', $array_payment_method, 'pm_params[payment_method]', '"', 'id', 'value', (isset($this->params['payment_method']) ? $this->params['payment_method'] : 'full_prepayment')); ?>
		</div>
	</div>
	
	<div class="control-group">
		<div class="control-label">
			<label class="hasTooltip" title="<?php echo _JSHOP_BARK_TAX; ?>"><?php echo _JSHOP_BARK_TAX; ?></label>
		</div>
		<div class="controls">
			<?php echo JHtml::_('select.genericlist', $array_tax, 'pm_params[tax]', '"', 'id', 'value', (isset($this->params['tax']) ? $this->params['tax'] : 'none')); ?>
		</div>
	</div>
</fieldset>